Page MenuHomePhabricator

Have close buttons on inspectors and dialogs alike, in mobile and desktop environments
Closed, ResolvedPublic8 Estimated Story Points

Description

I find it a bit confusing that the dialog box for inserting links in VE doesn't have a "X" or "Close" in the top left corner, even more so because of the fact that if you click on the same line (where you are adding the link) the dialog box doesn't close.

Also, other dialog boxes for inserting e.g. a template or a source have buttons to close them with.

Event Timeline

Jopparn created this task.Mar 24 2015, 2:47 PM
Jopparn raised the priority of this task from to Needs Triage.
Jopparn updated the task description. (Show Details)
Jopparn added a project: VisualEditor.
Jopparn added a subscriber: Jopparn.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 2:47 PM
Jopparn set Security to None.Mar 24 2015, 2:48 PM
Jopparn added a subscriber: Lokal_Profil.
Aklapper renamed this task from Exit/close the dialog box for inserting links to No Exit/close button for "Insert Links" dialog box.Mar 24 2015, 4:46 PM
Jdforrester-WMF renamed this task from No Exit/close button for "Insert Links" dialog box to Inspectors don't have close buttons but dialogs do, and some users find this confusing.Apr 8 2015, 10:53 AM
Jdforrester-WMF triaged this task as Lowest priority.
Jdforrester-WMF added a project: Design.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
Jdforrester-WMF renamed this task from Inspectors don't have close buttons but dialogs do, and some users find this confusing to Have close buttons on inspectors and dialogs alike, in mobile and desktop environments.Apr 20 2015, 7:50 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF assigned this task to Mooeypoo.
Jdforrester-WMF raised the priority of this task from Lowest to High.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF edited a custom field.